EDIT - bug #9463

UniversalViewer causes jQuery version conflict and breaks maps
02/09/2021 11:46 AM - Andreas Kohlbecker

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.45

Severity: critical Found in Version:

Description

When taxon pages are configured tab-less the image-viwer (Universalviewer - UV) is shown together with maps on the same page.

The UV loads jQuery version 3.* which is brought with /uv/lib/offline.js this version becomes global and conflicts with the Drual jQuery
version of 1.4.*

locally*

http:/edit.test/d7/caryophyllales/cdm_dataportal/taxon/806b5aaf-1e8b-4dai-ae8d-08b1ab9736be/specimens

edit-production

http://caryophyllales.org/caryophyllales_spp/cdm_dataportal/taxon/806b5aaf-1e8b-4da1-ae8d-08b1ab9736be/specimens
Severity:

Only portal with images (see #8912) which are using the universal viewer + tables taxon pages (dataportals-drush-vget
cdm_dataportal_taxonpage_tabs) are affected by this bug. At current these are:

e http://caryophyllales.org/

¢ http://caryophyllales.org/caryophyllales_spp/
e http://caryophyllales.org/amaranthaceae/

e http://caryophyllales.org/nepenthaceae/

e http://caryophyllales.org/plumbaginaceae/
http://caryophyllales.org/caryophyllaceae/
http://caryophyllales.org/polygonaceae/
http://caryophyllales.org/aizoaceae/
http://caryophyllales.org/wbdemo/

Relevant literature:

e https://stackoverflow.com/questions/1566595/can-i-use-multiple-versions-of-jquery-on-the-same-page
¢ https://api.jquery.com/jQuery.noConflict/#jQuery-noConflict-removeAll
e requirejs and jQuery

Debugging:

Universaviewer code is minified, for debugging, build the universalviewer project with the --dev option:

grunt build --dev

You also can temporarily replace the folder modules/cdm_dataportal/js/universalviewer/uv by a symlink to the univeralviewer

projekt, so "instant deployment" of the uv code to the dataportal project.
See also modules/cdm_dataportal/js/universalviewer/UPDATE.md for some more information.

Related issues:

Related to EDIT - task #5083: Alternative image viewer for dataportal Closed
Related to EDIT - bug #9743: Universal Viewer - metadata component gets lost... New
Has duplicate EDIT - bug #10399: Map sometimes not shown in portal without tabs Duplicate
Revision b0b51399 - 02/12/2021 09:04 AM - Andreas Kohlbecker

ref #9463 upgrading universalviewer to v3.1.1

Revision 1f23ce61 - 02/12/2021 09:06 AM - Andreas Kohlbecker

ref #9463 improving documentation

Revision b4b868f8 - 02/12/2021 09:09 AM - Andreas Kohlbecker

ref #9463 attempt to isolate jquery versions - not yet successful

Revision cc5d96f8 - 02/12/2021 09:29 AM - Andreas Kohlbecker

ref #9463 upgrading universalviewer to v3.1.1

Revision d3ba2bcd - 02/12/2021 09:29 AM - Andreas Kohlbecker

ref #9463 improving documentation

Revision ac14d421 - 02/12/2021 09:32 AM - Andreas Kohlbecker

ref #9463 attempt to isolate jquery versions - not yet successful

History

#1 - 02/09/2021 01:43 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to In Progress

#2 - 02/12/2021 08:28 AM - Andreas Kohlbecker
- Related to task #5083: Alternative image viewer for dataportal added

#3 - 02/12/2021 08:59 AM - Andreas Kohlbecker
- Description updated

- Priority changed from Highest to Priority14

#4 - 02/12/2021 09:27 AM - Andreas Kohlbecker
- Description updated

- Target version changed from Release 5.21 to Release 5.22

#5 - 02/12/2021 09:29 AM - Andreas Kohlbecker

work in progress in branch #9463-universalviewer-jquery-conflict

#6 - 04/15/2021 03:08 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#7 - 07/15/2021 06:27 PM - Andreas Kohlbecker

- Target version changed from Release 5.25 to Release 5.45

#8 - 09/03/2021 10:42 AM - Andreas Kohlbecker

- Related to bug #9743: Universal Viewer - metadata component gets lost on leaving fullscreen mode added

#9 - 09/03/2021 10:43 AM - Andreas Kohlbecker

using the UV webpack should solve the problem

#10 - 09/20/2023 10:59 AM - Andreas Miiller
- Has duplicate bug #10399: Map sometimes not shown in portal without tabs added

#11 - 10/25/2023 11:07 AM - Andreas Muller

- Assignee changed from Andreas Kohlbecker to Katja Luther
